//
//  StatusChangeScreen.swift
//  Sequoia
//
//  Created by Victor on 09/10/2024.
//

import SwiftUI

struct StatusChangeScreen: View {

    var body: some View {
        VStack {
            VStack(spacing: 32) {
                SQText("En continuant, votre abonnement sera résilié et votre demande de changement de statut sera étudiée par nos équipes.")
                    .multilineTextAlignment(.center)
                VStack {
                    SQText("Le saviez-vous ?", font: .demiBold)
                    SQText("Si vous le souhaitez, vous pourrez vous abonner à l’abonnement Premier en tant que particulier.")
                        .multilineTextAlignment(.center)
                }
                SQButton("Résilier et changer de statut", color: .sqOrange(50), textColor: .white) {}
            }
            .padding(16)
            .background(Color.sqOrange(10))
            .cornerRadius(8)
        }
        .sqNavigationBar(title: "Changer de statut")
        .padding()
    }
}

#Preview {
    StatusChangeScreen()
}
